"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.Query = void 0;
var w3_1 = require("./w3");
var Query = /** @class */ (function (_super) {
    __extends(Query, _super);
    function Query() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Query.prototype.log = function (input) {
        if (this.config.logFunc) {
            return this.config.logFunc(input.level, input.message);
        }
        switch (input.level) {
            case "DEBUG":
            case w3_1.Logger_LogLevelEnum.DEBUG:
                console.debug(input.message);
                break;
            case "WARN":
            case w3_1.Logger_LogLevelEnum.WARN:
                console.warn(input.message);
                break;
            case "ERROR":
            case w3_1.Logger_LogLevelEnum.ERROR:
                console.error(input.message);
                break;
            case "INFO":
            case w3_1.Logger_LogLevelEnum.INFO:
                console.log(input.message);
                break;
            default:
                console.log(input.message);
        }
        return true;
    };
    return Query;
}(w3_1.Module));
exports.Query = Query;
//# sourceMappingURL=index.js.map