import { Plugin, PluginFactory, PluginPackageManifest, PluginModules } from "@web3api/core-js";
import { QueryConfig } from "../query";
export interface LoggerPluginConfigs {
    query: QueryConfig;
}
export declare class LoggerPlugin implements Plugin {
    private _configs;
    constructor(_configs: LoggerPluginConfigs);
    static manifest(): PluginPackageManifest;
    getModules(): PluginModules;
}
export declare const loggerPlugin: PluginFactory<LoggerPluginConfigs>;
export declare const plugin: PluginFactory<LoggerPluginConfigs>;
